%define subrel 2

%define major 7
%define libname %mklibname ticables2_ %{major}
%define devname %mklibname ticables2 -d

Summary:	Library to handle the different TI link cables
Name:		libticables2
Version:	1.3.5
Release:	%mkrel 2
License:	LGPLv2+
Group:		Communications/Serial
Url:		https://sourceforge.net/projects/tilp/
Source0:	https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2
# Udev rules taken from Arch AUR package.
Source1:	http://tc01.fedorapeople.org/tilp2/69-libticables.rules
BuildRequires:	pkgconfig(libusb)
BuildRequires:	glib2-devel
BuildRequires:	gettext-devel

%description
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch
Conflicts:	%{_lib}ticables2-devel < 1.3.5-2

%description i18n
Internationalization and locale data for %{name}.

%package -n %{libname}
Summary:	Library to handle different TI link cables
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package -n %{devname}
Summary:	Development related files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ticables2-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}ticables-devel < 1:1.3.5

%description -n %{devname}
This package contains headers and other necessary files to develop or compile
applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x \
	--enable-libusb10 \
	--enable-logging \
	--disable-rpath
%make_build

%install
%make_install

#Rule to allow users to access handhelds
mkdir -p %{buildroot}%{_usr}/lib/udev/rules.d/
install -m0644 %{SOURCE1} %{buildroot}%{_usr}/lib/udev/rules.d/

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%{_usr}/lib/udev/rules.d/69-libticables.rules
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS ChangeLog README
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/ticables2.pc
%{_includedir}/tilp2/*


%changelog
* Fri Sep 22 2017 zezinho <zezinho> 1.3.5-2.2.mga6
+ Revision: 1157425
- fix udev rule file package
- add udev rule to allow connection of USB handhelds (mga#21723)

* Mon Jan 02 2017 wally <wally> 1.3.5-2.mga6
+ Revision: 1079705
- split out translations

* Sun Jan 01 2017 wally <wally> 1.3.5-1.mga6
+ Revision: 1079426
- rename src rpm as libticables2
- new version 1.3.5
- new libmajor 7
- drop upstreamed patches

* Fri Sep 23 2016 zezinho <zezinho> 1:1.3.4-1.mga6
+ Revision: 1055593
- update to version 1.3.4 to bring tilp to Mageia

* Mon Feb 08 2016 umeabot <umeabot> 1:1.3.3-7.mga6
+ Revision: 944825
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.3-6.mga5
+ Revision: 751134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.3-5.mga5
+ Revision: 681811
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1:1.3.3-4.mga5
+ Revision: 643730
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 1:1.3.3-3.mga4
+ Revision: 507335
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:1.3.3-2.mga3
+ Revision: 358248
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 13 2012 fwang <fwang> 1:1.3.3-1.mga3
+ Revision: 305243
- drop unrecognized option
- update libmajor
- new version 1.3.3

* Sat Oct 13 2012 fwang <fwang> 1:1.3.1-1.mga3
+ Revision: 305209
- update rpm group
- drop .la file

* Sat May 14 2011 nanardon <nanardon> 1:1.3.1-1.mga1
+ Revision: 98719
- imported package libticables


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 30 2015 Rafael dos Santos <rdossant@redhat.com> - 1.3.4-6
- Add PPC64le support

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 29 2015 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 1.3.4-4
- Add AArch64 support

* Mon Apr 6 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.4-3
- Added a patch that adds error checking around libusb_init, preventing the tests from crashing under mock.

* Fri Mar 6 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.4-2
- Package now owns its documentation directory.
- Changed macros from define to global.
- The tilp2 include dir is now co-owned between this package and libticonv-devel.
- The doc subpackage now has a license.
- The test suite is now ran in the check section.

* Fri Feb 27 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.4-1
- Release bump from 0 to 1.
- Added HTML documentation subpackage.
- Fixed localization to use gettext and find_lang macro.
- Cleaned up commands for installing udev rule.

* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.4-0
- Updated to latest upstream version of tilp

* Wed Sep 12 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.3-2
- Placed udev rules in correct directory (/lib, not /etc)

* Wed Jul 11 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.3-1
- Added full documentation, built by tfdocgen

* Thu Jul 5 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.3-0
- Updated package to 1.3.3, vastly improved specfile
- Added devel subpackage for all devel files
- Udev rules are now hosted online by me

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.2-0
- Initial version of the package

